
Infrastructure - Task #7653

Story # 7652 (Closed): Enable simple metrics reporting for core services

report on synchronization service activity

2016-02-23 19:29 - Dave Vieglais

Status: Closed Start date: 2016-02-23

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: performance-scalability Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Milestone: None Story Points:  

Product Version: *   

Description

At a minimum, report on the size of the synchronization backlog. 

Results should be written to a file that is easily parsed with various languages. Two common options include JSON and CSV. A CSV

file would be convenient for appending entries if more than a single record is to be kept.

Contents of the file are to be determined but should include the size of the synchronization backlog, and may include additional per

member node information such as the timestamp of the last sync activity and perhaps the number of current tasks for that MN.

Associated revisions

Revision 18024 - 2016-05-31 16:56 - Robert Waltz

refs #7653

Enable simple metrics reporting for core services: report on synchronization service activity

Revision 18024 - 2016-05-31 16:56 - Robert Waltz

refs #7653

Enable simple metrics reporting for core services: report on synchronization service activity

Revision 18045 - 2016-06-07 15:38 - Robert Waltz

refs #7653

The SyncMetricLogJob's report appears to take a long time to run.

Revision 18045 - 2016-06-07 15:38 - Robert Waltz

refs #7653

The SyncMetricLogJob's report appears to take a long time to run.

Revision 18048 - 2016-06-07 19:22 - Robert Waltz

refs #7653

When Trigger Complete Fires,  perform unlock instead of when the Job completes.
Revision 18048 - 2016-06-07 19:22 - Robert Waltz

refs #7653

When Trigger Complete Fires,  perform unlock instead of when the Job completes.

Revision 18049 - 2016-06-07 20:43 - Robert Waltz

refs #7653

reverse logic for vetoJobExecution

Revision 18049 - 2016-06-07 20:43 - Robert Waltz

refs #7653

reverse logic for vetoJobExecution

Revision 18055 - 2016-06-08 19:29 - Robert Waltz

refs #7653

Enable simple metrics reporting for core services: cleaning up debug, info, warn and error messages

Revision 18055 - 2016-06-08 19:29 - Robert Waltz

refs #7653

Enable simple metrics reporting for core services: cleaning up debug, info, warn and error messages

Revision 18056 - 2016-06-08 20:41 - Robert Waltz

refs #7653

both log aggregation and synchronization may execute a total of 25 simultaneous jobs

Revision 18056 - 2016-06-08 20:41 - Robert Waltz

refs #7653

both log aggregation and synchronization may execute a total of 25 simultaneous jobs

Revision 18071 - 2016-06-09 20:56 - Robert Waltz

refs #7653

use same datetime for metricLogEvent messages per harvest

Revision 18071 - 2016-06-09 20:56 - Robert Waltz

refs #7653

use same datetime for metricLogEvent messages per harvest
History

#1 - 2016-05-18 15:54 - Robert Waltz

- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 2016-05-31 16:56 - Robert Waltz

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

#3 - 2016-06-14 19:45 - Robert Waltz

- % Done changed from 50 to 100

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-05 3/3

http://www.tcpdf.org

